{
  "timeOutSec": 60,
  "apiUrl": "http://192.168.80.61:8733/DRIVER_MES/rest/",
  "mMapRead": {
  },
  "mMapWrite": {
  },
  "CallList": {
    "GetConnection": {
      "Method": "Get",
      "Url": "checkconnection",
      "Name": "Connection",
      "OutVarName": "Connected"
    },
    "GetToken": {
      "Method": "Get",
      "Url": "gettoken/mecmaticames/mecmatica@mes",
      "OutVarName": "token",
      "SamplePeriod": 1000
    },
    "GetLampGreen": {
      "Method": "Get",
      "Url": "getsingleladderio/[[token]]/Y/8E",
      "Name": "Lampada Verde",
      "OutVarName": "LampGreen",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 1000
    },
    "GetLampYellow": {
      "Method": "Get",
      "Url": "getsingleladderio/[[token]]/Y/21",
      "Name": "Lampada Gialla",
      "OutVarName": "LampYellow",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 1000
    },
    "GetLampRed": {
      "Method": "Get",
      "Url": "getsingleladderio/[[token]]/Y/22",
      "Name": "Lampada Rossa",
      "OutVarName": "LampRed",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 1000
    },
    //"GetStateAlarm": {
    //  "Method": "Get",
    //  "Url": "getsingleladderio/[[token]]/Y/200",
    //  "Name": "Macchina in Allarme",
    //  "OutVarName": "AlarmState",
    //  "ListPrevCall": [ "GetToken" ],
    //  "SamplePeriod": 2000
    //},
    //"GetStateCaution": {
    //  "Method": "Get",
    //  "Url": "getsingleladderio/[[token]]/Y/201",
    //  "Name": "Macchina in Caution",
    //  "OutVarName": "CautionState",
    //  "ListPrevCall": [ "GetToken" ],
    //  "SamplePeriod": 2000
    //},
    //"GetStateStart": {
    //  "Method": "Get",
    //  "Url": "getsingleladderio/[[token]]/Y/222",
    //  "Name": "Macchina in Start",
    //  "OutVarName": "StartState",
    //  "ListPrevCall": [ "GetToken" ],
    //  "SamplePeriod": 2000
    //},
    //"GetStateStop": {
    //  "Method": "Get",
    //  "Url": "getsingleladderio/[[token]]/Y/223",
    //  "Name": "Macchina in Stop",
    //  "OutVarName": "StopState",
    //  "ListPrevCall": [ "GetToken" ],
    //  "SamplePeriod": 2000
    //},
    "GetQtyTot": {
      "Method": "Get",
      "Url": "gettotalquantity/[[token]]",
      "Name": "Contapezzi Assoluto",
      "OutVarName": "ContapezziAssoluto",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetQtyReq": {
      "Method": "Get",
      "Url": "getneededquantity/[[token]]",
      "Name": "Qta Richiesta",
      "OutVarName": "setPzComm",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetQtyProd": {
      "Method": "Get",
      "Url": "getworkedquantity/[[token]]",
      "Name": "Contapezzi Parziale",
      "OutVarName": "ContapezziParziale",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetCycleTime": {
      "Method": "Get",
      "Url": "getcycletime/[[token]]",
      "Name": "tempoCiclo (sec)",
      "OutVarName": "LastTC",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetProgName": {
      "Method": "Get",
      "Url": "getmainprogram/[[token]]",
      "Name": "Programma MAIN",
      "OutVarName": "PROG",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetCurrAlarm": {
      "Method": "Get",
      "Url": "getalarm/[[token]]",
      "Name": "Allarme attivo",
      "OutVarName": "AlarmActive",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 2000
    },
    "GetAllAlarmLog": {
      "Method": "Get",
      "Url": "getallalarmlog/[[token]]",
      "Name": "Log Allarmi (last)",
      "OutVarName": "",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 20000
    }
  }
}